4.29.3 / 2026-07-08
 * Sharing code for generating correspondence overviews with mobile app.
 * Updated application logo and icon.
 * Disabled donations dialogue when having more than 5 production accounts or
   when having records management configured.
 * Added more explanatory texts into the change password dialogue.
 * Offering to download Arm package on macOS when running Intel package in
   Rosetta mode.
 * Fixed disappearing dock icon in Gnome 49. Fixed organisation domain an
   renamed desktop and metainfo files.

4.29.2 / 2026-05-26
 * Fixed error when sending ZIP attachments in regular messages from CLI
   interface.
 * Fixed an application crash when using a non-present username in CLI.
 * Text notes can be assigned to messages. Notes are stored in the tag
   database.

4.29.1 / 2026-04-21
 * Added a default global option into settings whether to automatically
   download a message immediately after it has been sent. This option can be
   overridden for individual messages.
 * Apply timestamp expiration notification interval settings in the tracked
   timestamps widget and also the restamping dialogue. Default value has been
   increased to 30 days.
 * Added options whether to automatically enable timestamp tracking for freshly
   downloaded messages.
 * Fixed compilation warnings about deprecated cstdbool.
 * Disabled the survey.
 * Mobile key login status retrieval method can be configured to use the old
   or new version.

4.29.0 / 2026-04-07
 * Aborting PIN request dialogue when halt required.
 * Able to directly (without explicit conversion) read data from message
   databases as they are used in the version 2.6.0 of the mobile application.
 * Can drag downloaded messages from main window's message list.
 * Can drag downloaded messages from list of found messages from the search
   message dialogue.
 * Fixed data import from mobile application.
 * Enabled Delete and Command+Backspace shortcuts to delete content in views.
 * Enabled Ctrl+C on message lists and attachment list.
 * Enabled Ctrl+V on attachment list in send message dialogue.
 * Displaying more detailed information about the state of the MEP wait loop.
 * Closing the about dialogue after a short delay when the donate button is
   pressed.
 * Showing survey dialogue for users with more than 6 data boxes.
 * Whole locally stored content can be scanned for timestamp expiration and
   sent for restamping.
 * Using bundled QuaZIP-1.5 when compiling with Qt-6.

4.28.0 / 2026-01-20
 * Print restamping status messages as ordinary text. Don't treat them as
   errors.
 * Added specMessFlag column into supplementary_message_data table.
 * Sharing message-related cryptographic code with mobile application.
 * Fixed malfunctioning authentication of external ZFO files.
 * Fixed suggested restamping counter in the notification widget.
 * Fixed timestamp summary string when displaying external ZFO file containing
   a delivery info.
 * Using AuthenticateMessage rather than VerifyMessage operation when checking
   content of locally stored messages.
 * Storing time data with time-zone information into the databases.
 * Using queued connection for timestamp update notification signal.
 * Executing tests when building packages in OBS.
 * Saving unsent messages as drafts.
 * Fixed problem with illegal characters in transfer archive file name.
 * Fixed problem with undefined function return value when password decryption
   fails.
 * The user can be periodically notified to perform updates into predefined
   location.
 * Added _dmFileSize into files table. Sharing message database table
   definitions with the desktop app.
 * Fixed error when splitting monolithic databases. External files are copied
   to appropriate locations now.

4.27.0 / 2025-09-24
 * Added --conf-basedir and --conf-dir command line options. Those can be used
   to override the default location of the configuration directory.
 * Passing e-mail content into e-mail client via xdg-email if available on
   Linux.
 * Updated cryptographic code to be able to process archive timestamps of the
   CMS containers.
 * Removed timestamp information text from general message information in the
   main window.
 * Signature detail dialogue shows all available timestamps including possible
   archive timestamps.
 * Use latest timestamp data originating from message CMS containers in
   overviews.
 * Able to export data into format that can be imported into mobile
   application.
 * Fixed problem in ProgressBarProxyModel. Progress bar is returned only for
   the DisplayRole.
 * Added options to change the database directory. The user is allowed to open
   an already existing database in a different directory. Options to delete
   the databases in the old location have been added. A button to select
   the default location has been added.
 * Extended message signature and timestamp detail dialogue. All available
   timestamps are being displayed.
 * Added timestamp tracking mechanism. User explicitly selects messages to be
   tracked. The application notifies whether some timestamps of tracked
   messages are going to expire. The user must manually start the restamping
   operation.
 * Temporarily disabled the check message timestamps operation as it did
   generate only a text overview. It needs integration into the new restamping
   dialogue.

4.26.0 / 2025-04-01
 * Added new tag assignment dialogue. Tag assignment can be also invoked from
   the status bar label.
 * Separated tag-related actions. Tag management of available tags and tag
   assignment are different actions now. Both can be pinned to any tool bar.
 * Prohibiting some actions from the top menu to be pinned into tool bars.
 * Added a tool that should aid with data recovery from corrupted database
   files.
 * Added font scaling factor to adjust the default font size. Font scaling
   can be set in the preferences dialogue.
 * Displaying what's new in the application.
 * Enforce enabled icons in menus.
 * Showing error dialogues when configuration files are not accessible or are
   corrupted.
 * Displaying error messages via status bar pop-up widget when message
   databases cannot be opened.
 * Updated application themes to detect and match light/dark system
   environment.
 * Showing progress bars with amount of downloaded data and current download
   speed in download message dialogue.
 * Fixed attachment duplication on repeated high-volume message downloads.
 * Enable voluntary stats sending by default. It can be disabled by the user.
 * Using MTOM/XOP to download high-volume messages.
 * Using QStyledItemDelegate to draw checkboxes into tag delegate.

4.25.0 / 2024-12-17
 * Added a dedicated session keeping thread. By default the thread keeps alive
   session using HOTP, TOTP a MEP login methods. Sessions failing to connect
   to ISDS are automatically closed.
 * Rewritten status bar connection status widget. By clicking on it a list of
   active sessions can be displayed. From here active sessions can be closed.
 * INI configuration file is only written when something related is modified in
   the application. It isn't automatically written when application exits.
 * INI configuration file is written in three stages. A copy is written then
   the original is removed and finally the copy replaces the original.
 * On application start-up when INI configuration is missing the application
   searches for a copy before creating a blank INI file.
 * Replaced old icons with a new SVG-based set of icons.
 * Fixed export format selection in correspondence overview dialogue when
   using Qt-6.
 * Fixed segmentation faults when running tests with Qt-6.
 * Records management communication timeout is managed by internal
   preferences. Its default value has been set to match the ISDS communication
   timeout.
 * Using dedicated redirection URL to access donation page.
 * Using Qt-6.8 and OpenSSL-3.3 to build Windows 64-bit package.
 * Additional option 'sender' has been added to the --compose command-line
   parameter. It can be used to select the sender of the message. Data-box
   identifier of username can be used as the value.
 * In the send message dialogue the recipient list isn't automatically cleared
   when changing the sender. The user is asked whether to keep the recipients.
 * Added custom application themes a light and a dark one. Themes can be
   chosen in the preferences dialogue.

4.24.2 / 2024-09-02
 * Updated URLs to application-related web pages to point to new locations.
 * Added support for a new credit event type when credit is being charged for
   the recovering of a deleted message. This build requires libdatovka-0.7.0.

4.24.1 / 2024-07-31
 * Modified building scripts for macOS to simplify SDK and Qt selection.
 * Added optional date-based message search restrictions.
 * Added sender and recipient data-box IDs into generated correspondence
   overviews.
 * Fixed sending e-gov requests that have been mistakenly sent as high-volume
   messages.

4.24.0 / 2024-06-18
 * Fixed date sorting in found messages list.
 * Added new CLI commands 'export-msg', 'export-msgs', 'import-msg' and
   'import-msgs' allowing exporting and importing data from local databases.
 * Using same PDF format to export envelope and delivery info as in mobile
   application
 * Added four configurable tool bars into main window. Each is located above
   a view widget.
 * Top tool bars can be shown/hidden by the user.
 * Message list filter field in the main window is by default hidden and
   located below the message list. It can be shown by pressing the filer
   action on the tool bar or by pressing Ctrl+F when message list is in focus.
   The field can be hidden using a close button or by pressing Esc when filter
   field in focus.
 * Updated 'create new message' icon.
 * Always updating envelope for VoDZ messages when synchronising accounts.
   This should fix problems when attempting to download VoDZ messages using
   a message list that has been generated in old versions without VoDZ support.
 * Showing a warning label in create message dialogue when source text of PDF
   attachment has been modified after being attached or when not being
   attached at all.
 * Rewritten code for generating account, owner and user overviews. The code is
   now shared with the mobile application.
 * Increased default download timeout limit to 15 minutes because of VoDZ
   messages.

4.23.8 / 2024-05-16
 * New message signature detail icon.
 * CLI interface automatically detects whether to send a normal or a VoDZ
   message.
 * Fixed occasional crashes which may have occurred on backups.

4.23.7 / 2024-04-22
 * Users are occasionally notified about a donation possibility.
 * Added new button icons the send message dialogue. Added 'Add Text' button
   into the send message dialogue. Renamed some buttons in the create account
   and the send message dialogue.
 * The application sends basic environment and configuration stats.
 * Updated support mail to datovka@labs.nic.cz.
 * Added tool tips for create account dialogue labels.
 * Portable 32-bit package on Windows offers to download a 64-bit package on
   64-bit systems.

4.23.6 / 2024-02-09
 * Fixed MIME name detection of ZFO files consisting of a ZIP archive and which
   don't contain a data message nor a delivery info.
 * Fixed crashes of message detail dialogue when invalid ZFO content is
   attempted to be displayed.

4.23.5 / 2024-02-05
 * Fixed some memory-related performance issues reported by Coverity.
 * Fixed blocked MEP login loop on newer macOS versions.

4.23.4 / 2024-01-23
 * Fixed sending of ZIP archives in normal (non VoDZ) messages by explicitly
   setting their MIME type.
 * Lowered the limit for maximum attachment count to 50 files.
 * Extended the list of allowed attachment file types.
 * Showing total number of attached files in the send message dialogue.
 * Fixed restoration of databases without VoDZ content.

4.23.3 / 2024-01-04
 * Fixed drag&drop on attachment list in send message dialogue.

4.23.2 / 2023-12-27
 * Showing progress of attachment uploads and message sending in the send
   message dialogue. This build requires libdatovka-0.6.0.
 * Fixed send message dialogue layout where the tab widget wasn't vertically
   expanding.
 * Fixed colours of some labels in the send message dialogue which have been
   illegible in dark mode.
 * Enabled sending of high-volume data messages.

4.23.1 / 2023-12-07
 * Fixed the CLI get-msg command when messages failed to download with freshly
   created databases.
 * Changed all references of the term 'account' in the UI into 'data box'.

4.23.0 / 2023-11-28
 * Added support for high-volume data messages. This build requires
   libdatovka-0.5.0.
 * Added support to store message and attachment data as separate files
   alongside the message database.
 * High-volume messages, attachments of those messages and delivery
   information are stored as separate files in order not to bloat the message
   database.
 * Remembering dialogue window sizes when they are changed by the user.
 * Remembering column widths in all tables.
 * Remember column index and sorting order in tables with enabled sorting.
 * Actions in tool bar in main window can be configured.
 * Extended the list of substitutable labels which can be used to generate file
   names when exporting files. Old labels have been replaced with new ones.
   Old labels are still functional but are not listed in the application.
 * Preference entries can be reset from the prefs dialogue.
 * Fixed bug in dark mode. Filter fields revert now to original colour when
   cleared.
 * Able to build Arm64 package for macOS.
 * Fixed a source of potential deadlocks. Signals from databases are emitted
   when lock are released.
 * Added support for new data-box types PFO_ARCH, PFO_AIAT and PFO_AZI.
 * Changed the layout of the about dialogue.

4.22.1 / 2023-04-19
 * Viewing number of recently unread messages in top node description when top
   node collapsed in account list. Also changed the icon for the top node.

4.22.0 / 2023-02-15
 * Added support for new data-box type PFO_REQ.
 * User can specify which information he wants to disclose to the recipient
   about the sender. Using GetMessageAtuhor2 to receive information about the
   sender. This build requires libdatovka-0.3.0.

4.21.1 / 2022-11-22
 * Fixed hanging send message windows when exiting the application having those
   windows open.
 * Fixed occasional application hangs when worker tasks have been collected on
   exit.
 * GUI application exits in a controlled manner when a POSIX signal is received
   on UNIX-like systems or when a system shutdown or user log-off event is
   detected on Windows.
 * CLI application handles POSIX signals and detects and handles Ctrl+C and
   Ctrl+Break key combinations in Windows command line.
 * Added date-based constraints when checking whether messages are stored in
   records management service.
 * Listed message data can be exported into a CSV file when checking whether
   messages are stored in records management service
 * Accepting backups with missing account identifier. The identifiers may be
   missing if some accounts have been created from local databases.

4.21.0 / 2022-09-27
 * Recipient name '%R' can be used when constructing file names.
 * Reduced computational effort when switching between data messages. Digital
   signatures are not checked. Attachment data are loaded when attachments are
   required/selected.
 * Able to generate e-mails with user-specified content. ZFOs and attachments
   can be added into a single email.
 * ZFO attachments can be viewed directly in the application.
 * Automatic upload targets can be checked for all messages which aren't
   already uploaded into the records management service.
 * Fixed an error in the message download dialogue when the download loop
   hasn't been stopped when the dialogue has been rejected otherwise than using
   the Cancel button.
 * New tag database format. All stored data are converted to new format.
 * Fixed warnings about duplicated database connections.
 * Weakened some recoverable error statements.
 * Fixed inability to check the signature of downloaded psrootqca4.crl file.
   Added PostSignum Qualified CA 5 certificate.
 * Allowing modification of account settings for existing accounts with
   incomplete login credentials.
 * Fixed error when account data have not been downloaded on subsequent
   account removing and adding.
 * Checking libcrypto and libdatovka presence during qmake phase when
   compiling on UNIX-like systems (excluding OS X/macOS).
 * Improved error and warning messages in preferences database code.
 * Able to import account data from the mobile application via a backup or
   transfer archive.
 * Able to download messages from ISDS via command line when the envelope
   hasn't been downloaded yet.
 * Added a tag client for the tag server under development.
   The tag client must be enabled in the preferences.

4.20.0 / 2022-03-15
 * Fixed a mistake when adding prefixes to multi-line log entries.
 * Enhanced code for handling JSON data.
 * Rewritten JSON classes for communication with the records management service.
 * Able to create a short PDF attachment directly in the application. Only a
   single file can be created whose file name is fixed.
 * Modified communication sequence with records management server when
   automatically uploading newly downloaded messages according to matching
   identifiers. Upload hierarchy is queried only once.
 * Fixed a problem when automatic upload into records management might cause
   the application to crash.
 * Fixed a communication problem when message automatically uploaded into
   records management haven't been displayed in message listing as uploaded.
 * Using c++17 compiler flag when compiling with Qt-6.

4.19.0 / 2021-11-16
 * Stored message envelope is updated when the type of a commercial message
   changes (e.g. when consuming the prepaid answer).
 * The application is downloading information about the state of the long term
   storage. This build requires libdatovka-0.2.1.
 * Messages which are going to be deleted from ISDS can be displayed using a
   user-specified colour.
 * Fixed a memory leak occurring while initialising the application.
 * Fixed compilation when using GCC 11.
 * Modified sources to compile with Qt-6.1 and Qt-6.2. Qt-6.0 still causes
   compilation issues. (Qt-6.0 should be fixed instead.)
 * Fixed a bug in a conversion function causing struct tm to Epoch time
   conversion errors when converted value fits within an interval limited by
   midnight and the time zone difference.
 * Suppressed notification dialogues when uploading into records management
   service as too many of them were generated occasionally.

4.18.0 / 2021-08-25
 * Changes to behaviour of the tag database object. The container emits
   signals when content changes. Application code catches these signals and
   updates the displayed data.
 * Enabling foreign key functionality when opening tag database.
 * Fixed problems with non-functional move assignments causing unnecessary
   memory copying in some occasions.
 * Using a single transaction to write data of a completely downloaded message
   into the database.
 * Fixed error when deleting entries from account database when removing
   an account.
 * Optimisations in database code.
 * Manually downloaded messages are checked for their identifiers and may be
   uploaded into records management service if a records management service is
   configured and if the message content has not been already downloaded. The
   dialogues notifying the user when the upload finishes are non-modal.
 * Able to query information about the sending of PDZs.
 * Password can be shown when creating a new account without entering the PIN.
 * When there are multiple choices how to pay for a commercial message when
   sending one then the user has the possibility to select the preferred way
   of payment if it is possible.
 * This build requires libdatovka-0.2.0 because of the modified structures for
   holding time values and because of the newly added functionality.
 * Fixed wrong mime type identification then sending ISDOC attachments.

4.17.0 / 2021-04-15
 * Fixed the detection of the NSIS (.exe) installer from a 64-bit application
   on Windows.
 * Lists of received or sent messages of a selected account can be synchronised
   separately.
 * For better understanding rephrased the notification in cases then no public
   nor a commercial data message can be sent to target data box.
 * Downloads of multiple messages are aggregated into one dialogue when these
   download have been triggered from the main window.
 * Changes of some content of the message databases (statuses, downloaded
   attachments, message deletion) are signalled via the database containers.
 * Added support for new data-box types PFO_ZNALEC and PFO_TLUMOCNIK.
 * Added delivery time and attachment downloaded fields to found message
   entries in search message dialogue. Found entries also can be filtered and
   sorted.
 * User can download data messages directly form the search message dialogue.
 * Selected messages in the search message dialogue can be exported or can be
   attached to an e-mail.
 * Unified std namespace resolution in C++ code.
 * This build requires libdatovka-0.1.2 because of the newly added data-box
   types.
 * The action 'Save all attachments' can be called in multiple selected
   messages at once. Attachment files are renamed when they have same or
   conflicting names within a single data message. Written files are
   not renamed if they conflict between messages or already existing files
   in the directory where the files are written to.
 * Increased the verbosity of logged entries when determining automatic upload
   targets for the records management service.

4.16.0 / 2021-01-26
 * Fixed a problem with NSIS installer which didn't detect the presence of the
   application when installed using the MSI installer.
 * Using libdatovka instead of libisds. Libdatovka is a fork of libisds and
   contains functionality which libisds still does not implement and which is
   needed by the application.
 * Added the possibility to manage data-box users which is similar to the
   functionality offered by the ISDS web interface.
 * Fixed sorting of Czech strings in table views when using Czech
   localisation.
 * Fixed application crashes on repeated full-text data-box searches.
 * Fixed navigation in table views in backup and restoration dialogue.
 * Added support for the EV6 event.

4.15.6 / 2020-11-23
 * Building 64-bit application for Windows.
 * Modified building procedure for third party libraries on macOS.

4.15.5 / 2020-10-15
 * Fixed problem with maximised main window layout on Windows.

4.15.4 / 2020-10-13
 * Fixed problem with remembering the main window layout in the 64-bit
   application on macOS.
 * Fixed non-functional drop down menu in account settings dialogue on macOS.
 * On supported platforms the application is able to automatically download
   the installation packages. Installation of the downloaded packages can be
   triggered from the application.
 * Improved tab order in send message window.

4.15.3 / 2020-09-15
 * Added PostSignum Qualified CA 4 certificate.

4.15.2 / 2020-08-26
 * Able to build packages for Windows and macOS from specific git commits.
 * Fixed a problem with shadow synchronisation after which a blank account name
   was sent in the records management report.
 * The notification dialogue informing the user about sending a postal data
   message can be disabled.
 * Added a short timeout before the immediate download of a freshly sent
   message.
 * Fixed error in ISDS type conversion code - invalid type string values have
   been fixed. Database-related incompatible code has been removed from code
   shared with mobile application.
 * Able to add contacts without name or address into recipient list when
   creating a message.

4.15.1 / 2020-06-08
 * Fixed an error in remembering directory path when opening and viewing ZFO
   files from file system immediately after application start.
 * Replaced the 'Mark All as Read' action with 'Mark All Received as' sub-menu
   in the 'Data Box' menu of the top menu bar.
 * Renamed 'Authenticate Message' to 'Verify Message' in the 'Message' menu
   because it reflects better the performed operation.
 * Account and message selection status is kept in a separate structure. It is
   used to simplify the code for various actions in the main window.
 * Code responsible for enabling actions in the main window has been gathered
   into one method.
 * Improved GUI responsiveness when downloading message lists with complete
   new messages.
 * Suspending the worker pool does not affect tasks run via runSingle().
 * Added user_account_name field into upload_account_status structure. Sending
   account name in order to make account identification in the records
   management service a bit easier.
 * Fixed compilation with Qt-5.15.0. Replaced most of deprecated code with
   available modern alternatives.
 * Replaced datovka.appdata.xml with datovka.metainfo.xml.

4.15.0 / 2020-03-04
 * Added support for shadow accounts (i.e. accounts without database).
 * Shadow accounts which don't cause message acceptance can be used to
   automatically download message lists.
 * Data-box contact lists can be sorted.
 * Fixed failing tests when no ISDS login credentials are supplied.
 * Using 'identification number' (IČO) instead of 'subject ID' (IČ).
 * Displaying leading zeros in identification numbers in account info page.
 * Windows application can be compiled and bundled with OpenSSL-1.1.1. Actual
   version of OpenSSL is determined by the version of the used Qt libraries.
 * Modified code about which the compiler has been giving deprecation warnings
   when compiling with Qt-5.14.
 * Implemented the upload_account_status records management service. The
   service sends brief reports about the account status containing summaries
   about the number of messages in different states in the data box. The
   summaries are generated when a records management service is used.

4.14.1 / 2019-11-20
 * Able to log from command line into an account that user a MEP login
   procedure.
 * Sharing most of the JSON backup structure with mobile application.
 * Able to verify qualified time stamps in a new format which is used in
   the testing environment since the end of August 2019 and is going to be used
   in the production environment.
 * Setting main window geometry outside the constructor which solves a problem
   with recent Qt versions on macOS.

4.14.0 / 2019-09-16
 * Allowing *.pfx files for login certificates.
 * Sharing account credentials code with mobile application.
 * Fixed a problem with non-functional account deletion in Qt-5.10 and later.
 * Using username together with testing flag to internally identify accounts.
 * Added MEP (mobile key) login procedure, libisds-0.11 is required.
 * Fixed sources to be able to compile on FreeBSD.
 * Added a note into the installer on Windows that uninstallation does not
   delete stored data.

4.13.1 / 2019-04-29
 * Fixed a problem with simultaneous database access from different threads
   in Qt-5.10 and newer.

4.13.0 / 2019-04-16
 * Fixed excessive displaying of missing database warnings when using message
   database in memory.
 * Able to change account username from inside the application.
 * Allowed space characters to be used in passwords and allowed CSV files to be
   added as message attachments because of changes in ISDS rules.
 * Sharing definition of records management database tables with mobile app.
 * Fixed an error where generated CSV files with correspondence overview did
   not contain actual file marks and reference numbers.
 * Fixed a problem with our/you file mark name swaps of sent messages. The
   application is now using sender/recipient instead of your/your to avoid
   confusion.
 * Removed account unrelated settings from configuration to a configuration
   database.
 * Using pkg-config to locate libxml2 header files for UN*X systems.
 * Added tabs into the send message dialogue. Optional form fields have been
   moved to a separate tab.
 * Increased the maximum shared memory message size to 8192 B. This allows
   passing longer command line argument into the running application.
 * Fixed a bug when the shared memory lock was not released when there was not
   enough space left to store an entire message.
 * Shared memory is only cleared after some message data have been read.
 * Using QStandardPaths to determine configuration and temporary files
   location. This should be helpful in case of sandboxing when the user does
   not have access to the home directory. Default location in home directory
   is still preferred and used if home directory is accessible.
 * The application is able to perform automatic message uploads into records
   management service if unambiguous 'case_id' and 'court_case_id' entries are
   encountered in the upload hierarchy response that match either the message
   reference number or file mark of a newly downloaded message.
 * Additional options 'recMgmtUpload' and 'recMgmtHierarchyId' have been added
   to the --compose command-line parameter.

4.12.0 / 2019-01-15
 * When using message databases split according to delivery time then only
   those files containing recently delivered messages are accessed when the
   application is started. Other message database files are accessed when they
   are needed.
 * Able to send e-gov requests to the Ministry of the Interior of the Czech
   Republic and to the Czech National Registers Authority.
 * Raised the maximal attachment size limit to 50 MB. The user is still
   notified when exceeding 20 MB. The limit has been raised for some special
   OVM data boxes from 1st November 2018.
 * Fixed a problem in which the content of a wrong message was displayed when
   message selection was changed when another message was being synchronised in
   background.
 * Added some icons in higher resolution.
 * Added message type explanation into view ZFO dialogue.
 * The user is asked whether to abort a message upload into the records
   management service when the connection timeout expires.
 * Speeded up the creation of icons inside the account and message model. The
   icons are now cached in a separate container rather than created every time
   they are requested.
 * Table and tree view header content is left aligned to match the view
   content alignment.
 * When composing a message, highlighting entries in attachment list which
   contain suffixes which are not listed in the Operating Rules of ISDS.
 * Added back-up and restoration functionality. Users can back up and restore
   their message data from within the application.
 * Added PostSignum Qualified CA 3-TSA certificate needed for time stamp
   validation.

4.11.1 / 2018-10-23
 * Added scripts for signing the Windows and macOS executables and software
   packages.
 * Using the macdeployqt tool to deploy libraries into the application
   package on macOS.
 * Modified the structure of the Windows executable bundle. The file 'qt.conf'
   has been added. Qt plug-ins are located inside the 'plugins' directory.
 * Fixed a problem on Windows 10 (October 2018 Update) when the application
   failed to start because it couldn't load required Qt libraries.
 * Account name '%n' can be used when constructing file names.
 * Extended CLI testing scripts - using an account with certificate log-in
   method.
 * Scripts are able to compile Windows version of libcurl with OpenSSL support.

4.11.0 / 2018-09-06
 * Fixed receiver box selection when using Shift+End in the contacts and data
   box search dialogues.
 * Fixed problem when changing the processing state of multiple selected
   messages using the combo box in the main window.
 * Showing active windows in macOS dock menu.
 * Added the '--compose' command line option. This option is available only
   in the GUI app; it raises the send message dialogue window.
 * The operations 'send message', 'download sent message' and
   'upload into records management service' can be chained together to be
   performed in a consecutive sequence.
 * Showing progress bar dialogue when uploading message data into records
   management service.
 * Sharing bundled certificate code with mobile application.
 * Sharing log device code with mobile application.
 * Most recent log entries are held in memory and can be displayed directly in
   the application.
 * Fixed a potential bug when writing version of the used OpenSSL library into
   application log.
 * The received message table displays an icon if the received message is a
   personal delivery.
 * The search-related account can be changed directly in the message search
   dialogue.
 * The message search dialogue now allows to search messages according
   to specified attachment names.
 * Attachment model holds binary attachment data instead of base64-encoded
   documents.
 * Simplified message model. Each entry type occupies its own column.
 * Explicitly specifying attachment MIME type when sending XML documents.

4.10.3 / 2018-07-09
 * Added classes based on Qt types encapsulating various ISDS data types and
   structures. Sharing this code with mobile application.
 * Added per-account locking of communication contexts.
 * Modified database interface to accommodate new data types.
 * Explicitly specifying tab order for most windows and dialogues. It is also
   possible (on Windows and Linux) to cycle through actions in top tool bar.
 * Asking users for confirmation before deleting tags which are still assigned
   to some messages.
 * Added tooltip description of message state value in sent message list.
 * Added button to view account password when editing account credentials and
   PIN (master password) is enabled.
 * Added DigiCert Global Root G2 certificate.
 * Improved keyboard-based control of main and other dialogue windows. All
   important elements should be navigable only by keyboard (on Windows and
   Linux).
 * Fixed a problem with wrong conversion of obtained ISDS error statuses into
   readable text. This may have caused the programme to crash.
 * Fixed scaling of some icon-based control elements when using enlarged fonts
   on Windows.
 * Fixed message list sorting and filtering according to assigned tags.
 * Added scripts needed for building Datovka and related packages
   in openSuse Build Service.

4.10.2 / 2018-03-21
 * Displaying busy cursor when switching between entries in account list.
 * New version notification can be blocked on Windows in runtime by setting
       specific registry values. It can also be blocked at compile time
       by using a configuration option when running qmake.
 * Extended resource information for the generated Windows executable.
 * Fixed project file include paths in order not to interfere with user-defined
       compiler flags.
 * Fixed problem with unpredictable construction order of global object
       instances.
 * Added missing conversion strings to some unknown message types.
 * Removed support for unneeded protocols from bundled libcurl.
 * Building procedure for macOS now supports 64-bit builds and allows bundling
       shared libraries together with the application.
 * Scripts (used for building libraries which are then bundled with the
       application binary for Windows and macOS) can now automatically
       download missing sources.
 * Fixed issue causing the application to crash on macOS when switching
   between accounts and when having some text in the message filter field.
 * Fixed issue causing the application to crash on macOS when updating
   information about messages without a valid delivery time.
 * Re-enabled logging of transferred message on Windows data when setting
   debug verbosity to 3.
 * Code shared with mobile application has been placed into separate
   directory.

4.10.1 / 2017-12-14
 * Sharing PIN-related cryptographic code with mobile application.
 * Fixed NSIS-generated installer to detect the application if it was installed
   using the MSI package.
 * Fixed wrong tag sorting in build_git_archive.sh script.
 * Added support for account entry reordering using drag&drop in account
   entries.

4.10.0 / 2017-11-29
 * Added support for accessibility text output into data models.
 * Table widgets and table views don't cycle between cells when tabulator is
   pressed.
 * Fixed space-bar selection of message recipients in table views.
 * Stored account passwords can be protected by using a master password (PIN).
   Records management service tokens are also encrypted.
 * Fixed potential source of crashes. Session container is created and
   destroyed from within the main function.
 * Checking for version of bundled SSL libraries on start-up.
 * Fixed memory leak inside view ZFO dialogue.
 * Fixed error when address line was counted twice in message search dialogue.
 * Fixed error when import was performed when the import dialogue was cancelled.
 * Fixed memory leaks when calling create account dialogue.
 * Removed potential source of crashes. Using keep-alive task inside change
   password dialogue.
 * Fixed memory leak inside change password dialogue.
 * Distributing *.qm files in source package.
 * Added code needed for MSI package building.
 * Fixed code responsible for the comparison of the current and the newest
   available version.

4.9.3 / 2017-09-06
 * Fixed a problem when message list was not updated after account
   synchronisation when a message was selected.
 * Fixed a bug when database location may have been saved even though the
   databases reside in default location. This problem was visible especially
   on Windows.

4.9.2 / 2017-08-28
 * Changed tag dialogue to contain two views when editing tag assignment.
 * Using the prefix 'ODZ_' for sent and 'DDZ_' for received data messages when
   uploading them into records management service.
 * Default documentation location can be changed when running qmake using the
   TEXT_FILES_INST_DIR variable.
 * Full-text data-box search does not block the search dialogue.
 * Full-text data-box search can be interrupted and restarted again without
   closing the dialogue.
 * Separated core and GUI code. Removed models from database interface.
 * Added new CLI option '--get-msg-ids'.
 * Command-line application without GUI can be built separately. This
   executable is going to be distributed in Windows packages together with the
   GUI application.

4.9.1 / 2017-07-26
 * Added experimental support for new data-box and user types that are going
   to be introduced into the ISDS production environment and which are already
   present in the ISDS testing environment.
   Version 0.10.7 of libisds is required to build the application.
 * Updated building scripts for the Windows application to automatically pull
   Qt dependencies into the package.
 * Fixed issue when records management data have not been erased from message
   model after the service has been deactivated.
 * Fixed issues with records management logo not being displayed in message
   list immediately after the service has been set up.
 * Alphabetically sorting nodes of records management hierarchy.
 * Sub-nodes of matching element are also displayed when filtering hierarchy of
   records management service.
 * Removed inactive mojeid-datovka code from the sources.

4.9.0 / 2017-06-30
 * Added API and support for sending messages into records management services.
 * Removed explicit clear buttons from filter fields.

4.8.3 / 2017-06-13
 * Fixed problems with remembering location of saved attachment files.
 * Directory structure can be created when exporting correspondence overview.
 * Line height of account list and message table has been adjusted to be the
   same.
 * Fixed confusion between the terms of delivery (dodani) and
   acceptance (doruceni) in Czech localisation.
 * Process of exporting multiple selected messages can be aborted by clicking
   Cancel button.
 * Tags can be stored into HTML correspondence overview.
 * HTML correspondence overview now contains both delivery and acceptance times.

4.8.2 / 2017-05-30
 * Fixed problems with sending messages from accounts that cannot search for
   data boxes.
 * Fixed tag ordering. Tag sorting is now locale-aware.

4.8.1 / 2017-05-05
 * Fixed problem with disappearing splitters on application start.

4.8.0 / 2017-03-28
 * Added full-text data box search which is now the default method to search
   for data boxes.
 * Fixed problems with placing the main application window when starting the
   application on a smaller screen than it has been closed before.
 * Refactoring of code related to message imports and exports.
 * Reduced the amount of code in main application window.

4.7.1 / 2017-01-19
 * User is notified about existent files when storing all attachments.
 * Added forward message action.
 * Fixed problem in which the main window was placed slightly off-screen when
   run for the first time.
 * Added script datovka-log.bat. Its purpose it to run the application in
   debugging mode where all debugging messages are written into a file.
 * Fixed most obvious problems when using UHD displays on Windows. Text lines
   in table views (especially in message list) should now be displayed
   correctly even with font size above 200%.
 * When composing messages, attachment files can be rearranged using drag and
   drop actions.
 * Fixed bug. Message model is updated after tags have been edited.
 * Fixes errors in application localisation.
 * Merged mojeid-datovka functionality. The code is inactivated.

4.7.0 / 2016-10-19
 * The application can be compiled against OpenSSL 1.1.0.
 * Re-written the login sequence. Fixed some bugs related to creating new
   accounts.
 * Added unit test for sending a receiving messages.
 * Added support for HTTPS proxy.
 * Bundled libisds is compiled against gettext again. This should resolve
   issues with ISDS error message encoding.
 * Fixed some errors in English and Czech localisation.
 * Text in about dialogue has been made selectable.
 * Added vacuum action. The user can explicitly clean up the associated
   database files.
 * Limited number of attachments in message to 900 files because of ISDS
   regulations.
 * Fixed a bug that caused that delivery info data have not been updated in
   the database,
 * Telling Qt to delete dialogues which have been raised from main window and
   closed. This should save some memory.
 * Fixed a bug. User names which have been entered when creating a new account
   have not been checked for white space characters which caused some
   confusion in naming of database files.
 * Fixed bug that was preventing tool-tips to be displayed on icon headers in
   message list table.
 * Added unit test for database containers.
 * Fixed unit tests for cryptographic functionality.
 * Updated bundled version of libisds to 0.10.6. This affects only Windows and
   OS X users.
 * Increased waiting time and image size when building dmg images for OS X.
   This should prevent unexpected crashes of the building process.

4.6.1 / 2016-06-30
 * Message envelope can be exported to a PDF file along with other message
   attachments.
 * Fixed issue when the sending of a new message lasted too long. In such case
   the application could occasionally crash.
 * Patched bundled libisds to fix wrong sender identification. This fix
   affects only Windows and OS X users. Linux users should update to latest
   libisds version (0.10.4).
 * Fixed version string shown in notification dialogue.

4.6.0 / 2016-04-12
 * Added support for tags. These can be locally assigned to the messages.
 * Message information are shown in separate window when double-clicking the
   message in message list or when hitting the Return/Enter key.
 * When composing a message, the recipient can be added to the recipient list
   by double clicking it in the recently-used recipient list.
 * Information about personal delivery are shown in message description field.
 * Fixed problem where account entry has not been updated after message
   deletion.
 * Fixed encoding issue when exporting correspondence overview in HTML.
 * Fixed a bug causing the create message button not to activate when first
   account was created.

4.5.3 / 2016-03-18
 * Fixed problems with HOTP authorisation on Windows. There have been problems
   with the bundled libisds. MinGW does not handle POSIX extensions of
   printf formatting strings properly. Patch for libisds has been added.
 * Fixed a non-working PRAGMA statement when asking for a database integrity
   check.
 * The --version command-line argument now also prints the version of
   libraries which Datovka depends on.
 * Automatic background downloads didn't cause the deactivation of download
   buttons that could still be triggered. Triggering those buttons in this
   situation could cause the application to crash.
 * Adding new account caused the account tree to collapse. This has been
   fixed.

4.5.2 / 2016-03-04
 * NLS of bundled libisds (OS X, Windows) has been disabled.
 * The logging of libisds actions has been restricted on Windows because there
   are discrepancies from standard-defined behaviour of some functions on
   Windows.
 * Improved behaviour when message download fails. The error dialogue is only
   shown when an explicit message download fails. A message in the notification
   area appears when the download has been triggered by downloading message
   list. This should reduce the amount of error dialogues generated.
 * Improved behaviour when downloading messages on accounts with restricted
   privileges. Received messages are not automatically downloaded when the
   user has no privileges to do that.

4.5.1 / 2016-02-26
 * Fixed bug in action logging causing the application to crash occasionally.
 * Fixed bug where message line was not deleted when deleting from ISDS failed.
 * New account model internals.

4.5.0 / 2016-02-16
 * A lot of changes under the hood.
 * Check boxes in recipient list can be enabled by pressing space bar.
 * The qmake command does not automatically call lrelease.
 * Only a single instance of the application with given configuration is
   allowed.
 * Added the possibility to download complete messages when downloading
   message lists via the command-line interface.
 * Actions in main window have been reduced. Duplicated actions have been
   removed.
 * E-mails with message attachments can be composed directly inside the
   application.
 * Fixed issues when displaying large amounts of messages. A custom data model
   has been implemented.
 * Send message dialogue allows to select the account which the message
   should be sent from.
 * Worker code has been redesigned on order to gain better control of pending
   and processing tasks.
 * Fixed bug on accounts with split databases. Message in recently sent and
   received messages were not displayed because of a bug in attaching second
   database file. The problem was solved by using a non-QSqlQueryModel-based
   model.
 * Fixed issues with status bar.
 * Fixed bugs when displaying attachment size when composing message.
 * Drag actions on attachments.
 * Drop actions on attachments when composing message.
 * Required Qt version is 5.3. Qt 5.2 crashes on drop actions.

4.4.3 / 2016-01-04
 * Fixed bug when changing expired password and the new password was not
   saved.
 * Increased message attachment size limit to 20 MB.

4.4.2 / 2015-12-08
 * Explicitly specified the limit to 100000 entries in downloaded message
   list.
 * Added better explanation of some returned error codes the connection
   failed.
 * Fixed remembering of passwords when connecting of ISDS failed.
 * Added <kudos> into datovka.appdata.xml.

4.4.1 / 2015-10-28
 * Fixed issue when two pop-ups have been shown on errors when sending a
   message.
 * Temporary attachment files are renamed so that the names won't contain
   potentially problematic characters.
 * Fixed logo sizes.
 * Enabled Home/End navigation in table views and widgets.
 * Fixed bug when importing messages into database from another database file.
 * Small modification of the command-line interface in order to make the usage
   more convenient.
 * Fixed potential null pointer dereference.
 * Added some missing tool tips.
 * Application stores sent attachments into database when the message has been
   successfully sent.
 * The time-out for marking messages as read can be user specified or
   disabled.
 * Background of filter field is changed to green or red when a filter is set.
 * Fixed message status updating and delivery time on accounts with restricted
   privileges.
 * Fixed issues when sending commercial messages from templates.
 * Fixed issue with missing leading zeroes when passing identification
   numbers from command line.

4.4.0 / 2015-10-12
 * Fixed opening of attachments when attachment name contains non-standard
   characters.
 * Fixed displaying of attachments when the attachments have exactly same
   names.
 * Attachments can be directly opened from the create and send message
   dialogue.
 * Fixed issue when a message information was not refreshed after downloading
   a whole message.
 * Added link to manual page into top menu.
 * Fixed sending messages with OVM subcategory sender.
 * Command-line interface. Messages can be send and received directly from
   command line.
 * Messages can be imported from a existing older database file.
 * Fixed problem when entering wrong password for the first time, then the
   application remembered the wrong password.
 * Fixed problem when the application saved the account password even though it
   shouldn't be saved.
 * When saving files then the sender name can be used.
 * Fixed problem with saving messages that contain illegal characters. Illegal
   characters are automatically replaced.
 * Increased icons in top tool bar. Icon description can be optionally enabled.
 * Increased icons indicating message status in message list.
 * New application logo.
 * It is possible to split a single large database file into several smaller
   ones according to years. Newly created accounts use this type of
   organisation.

4.3.1 / 2015-06-26
 * Fixed 'Open delivery info externally' operation. It opened the whole
   message instead of the delivery information.
 * Application can open ZFO files directly from command line.
 * Fixed some issues related to password changing.
 * Fixed failing time stamp checks when checking in directories.
 * Account information are stored in globally accessible structures.
 * Account and message database objects are now globally accessible objects.
 * Connect to ISDS method has been made static.
 * Database acquiring method has been made static.
 * Fixed bug in logging facility preventing log files to be properly
   configured.
 * Added '--log-file <file>' command-line option.
 * Account and message database objects are globally accessible via global
   pointers. The actual object exist within the main() function. This is
   because of some destructor calling issues.
 * Fixed bad prefix when logging multi-line messages.
 * Logging facility is used for logging messages generated by linisds.

4.3.0 / 2015-06-03
 * Added missing license statement into the NSIS installer script.
 * Code restructuring in the signature details dialogue.
 * The remaining credit is shown when sending a commercial message.
 * Changes in the message search dialogue. The searching is performed
   according to separate words rather than whole strings (e.g. when searching
   according to message subjects).
 * The application can now deal with accounts with restricted privileges.
   Accounts having only read/write access can be created and used.
 * The default name of the exported/saved files can be configured in the
   settings dialogue.
 * The user can search for messages with expiring/expired time stamps. The
   interval can be set in the preferences dialogue.
 * The preferences dialogue has been re-designed to accommodate the newly
   introduced settings.
 * Time stamp information are shown in the signature details dialogue even if
   the expiration fails.
 * Fixed bug. On Windows, the error messages obtained from libisds were
   interpreted in wrong encoding causing garbage characters to show up.
 * Fixed bug. Libisds didn't return any error description strings when locale
   wasn't set properly. Default locale is being set when missing.

4.2.3 / 2015-04-30
 * Disabled OpenSSL lock de-initialisation as it may cause the application to
   crash on exit.
 * Application always downloads password expiration information regardless on
   the login method type.
 * Improved notifications when searching for data boxes.
 * Fixed bug. The displayed attachment size occasionally differed by 2 bytes
   from real size.
 * Fixed some issues when searching for data boxes.
 * Fixed some issues with path remembering.
 * Fixed a bug causing the application to display 'Synchronising accounts' in
   status bar although there was no account to synchronise.
 * Fixed bug causing the synchronisation timer to stop after a manual account
   synchronisation.
 * Fixed application crash when creating a new certificate+password account.
 * Removed warning when using password without expiration.
 * Fixed SMS authentication failure.

4.2.2 / 2015-04-08
 * The user is notified after his password expired and that he must change it
   in the ISDS web interface.
 * Fixed error. An error dialogue was generated when searching for data boxes.
   A notification about too many results was added.
 * Save all attachments button can be configured (in options) so that it also
   saves message envelope and delivery info in PDF.

4.2.1 / 2015-04-02
 * Fixed a bug. Datovka adds a primary key entry into process_state table if
   this entry is missing.

4.2.0 / 2015-03-31
 * Fixed bug. Account password was saved to the configuration regardless on
   the 'Don't save password' option.
 * Updated reference to new Datovka 4 web page.
 * The application can to a reduced extent use a no longer active account.
   Messages stored in a no longer working account can still be accessed from
   inside the application.
 * Application generates a dialogue notifying the user about an expiring
   password 7 days before the expiration deadline.
 * User can log into ISDS using a user certificate in P12 or PEM format.
 * Changed QString to char* conversion so that it no longer uses the
   conversion to ::std::string as this functionality may not be available in
   Qt.
 * Removed global mutex guarding the OpenSSL-based code.
 * Fixes in message selection when browsing across account items.
 * Download message list downloads all available missing attachments when
   download whole messages enabled.
 * Package maintainers can use the DISABLE_VERSION_CHECK_BY_DEFAULT
   configuration options. This will toggle automatic version check to off. It
   can be re-enabled by the user.
 * Save all attachments button can be configured (in options) so that it also
   saves the whole signed message and delivery info.
 * Implemented a search message dialogue.
 * Generated error messages (generated into console) can also display a hint
   into source files.
 * New messages can be created from already existing messages.
 * Application uses qint64 for message identifiers.
 * Multiple messages can be selected at once (e.g. to change message status
   for the whole selection).
 * Fixed bug in message list model. Stored message status changes weren't
   properly erased on model change.
 * Fixed bug in account properties dialogue. The OK button was not always
   enabled.

4.1.2 / 2015-02-24
 * Fixed issue when sent messages weren't directly shown in sent messages
   when the user was already displaying those lists.
 * Datovka Windows installer installs short-cuts for all users.
 * The database query which generates contact lists when sending a message
   has been modified. This should reduce the number of duplicated entries.
 * Fixed bug causing an information dialogue to pop up after the account
   properties have been changed.
 * The message reply button is disabled when browsing sent messages because you
   cannot send a message to yourself.
 * Fixed bug when sending messages. Sending a message caused all messages to be
   marked as delivered on the ISDS server. This was caused because the sent
   message was immediately downloaded.

4.1.1 / 2015-02-16
 * Default time out can be set by user in the settings dialogue.
 * The account information page displays information about database file
   location.
 * The user received more verbose notifications about database access failures.
 * Added script for automated package and installer builds for Windows.
 * Improvements in worker code. The Received and sent messages are downloaded
   in two separate steps. In this way at least the messages lists are
   downloaded.
 * Fixed bug in storing reference numbers into database.
 * Delivery information can be exported in correspondence overview.
 * Added optional fixed global path settings.
 * Remembering of attachment source directory.
 * Two delete message operations have been merged into one. The user is then
   asked whether to also delete message from server.
 * The user is asked whether to also delete message database on account
   removal.
 * Fixed account order restoring when having more than 9 accounts.
 * Modifications in account model code, functionality remains the same.
 * Application does not check attachment types. The decision is left to the
   server.
 * Database import operation has been renamed to create account from database.
 * Datovka does no longer crash with corrupted databases on start-up.
 * Fixed in cursor positioning when changing accounts.
 * Automatic downloads on background are disabled by default.
 * Fixes desktop file and added additional package deployment files for
   Fedora.
 * ISDS time out has been set to 5 minutes.
 * Added script creating source archive. Source archive now contains root
   directory with the package name and version.
 * Quick search searches in message subject and sender/recipient columns.
 * Fixed exporting overview into CSV. Strings containing commas such as
   addresses caused troubles.

4.1.0 / 2015-01-28
 * Message read status can be toggled when clicking on the green/grey ball.
 * Messages are being marked as read only when they are being selected at
   least for 5 seconds.
 * Fixed check box selection in the contacts by space bar.
 * The user can decide whether to delete a message from the local database only
   or whether it should be also deleted from ISDS.
 * Messages and delivery information from ZFO can be imported into the
   databases provided corresponding account exist.
 * Added missing error messages to database code.
 * Fixed bug causing new messages to be marked as being already read when
   downloading whole new messages when synchronising accounts.
 * Improved speed when downloading message list by introducing database
   transactions.
 * Added code support for OpenSSL internal locking.
 * Fixed searching for contacts in message database.
 * Enhancements in scripts for building library dependencies.
 * Data box identifier is being shown in exported PDF file and message
   identification.
 * OTP security code is not shown as password.
 * Sending of messages to multiple recipients is performed by sending a bunch
   of individual messages. Multi-messages were causing troubles when combining
   OVM and non-OVM recipients.
 * Fixed bug in temporary file naming when opening message attachments in view
   ZFO dialogue.
 * Added short-cuts for create new message, create message reply and account
   synchronisation.
 * Application uses OS X native menus.
 * Fixed error when application was using wrong Qt translation when set to
   English localisation.
 * Fixed memory leaks while constructing message before sending.
 * Fixed potential bug in generating years in account view for received
   messages.

4.0.3 / 2015-01-13
 * Fixed bug where message processing state was not removed upon message
   deletion.
 * Added checks whether saving of files succeeded. The user is notified on
   failure.
 * Implemented saving of attachments of a message that has been opened from
   a ZFO file.
 * Fixed bug causing that the delivery time in sent messages was not updated.
 * Portable version for Windows stores all data in the application directory.
 * Fixed authentication with OTP.
 * Application remembers paths to recent directories which have been used for
   data exporting.
 * Fixes in translations.

4.0.2 / 2014-12-19
 * Fixed issue with missing account names that contained comma character.
 * OS X package Info.plist contains application version.

4.0.1 / 2014-12-18
 * Processing state drop-down menu is disabled on sent messages.
 * Fixed bug causing the application to crash during account database
   initialisation.

4.0.0 / 2014-12-17
 * Fixed issues with message sorting.
 * Fixed double-click attachment opening by default application on Windows.
 * Improvements in message send procedure.
 * Proxy dialogue supports HTTP proxy configuration. Application can use HTTP
   proxies to download CRLs.
 * Fixed bug which was preventing the application to send messages with
   multiple attachments.
 * Message years are shown in descending order.
 * Improvements in debugging messages.
 * Credits and licence files are displayed on OS X and Unix-like systems.
 * Datovka can be build using OS X SDK 10.7.
 * CRL is checked when message displayed.
 * Main window icon resolution is now 48x48.
 * Added high-resolution Datovka icons.
 * Added .desktop file.

0.2.0 / 2014-11-27
 * Added PostSignum Qualified CA 3 certificate.
 * CA store can be initialised using a single PEM file.
 * Fixes in account search dialog.
 * Complete message download runs in a separate thread.
 * Signature details dialog shows certificate information.
 * Time-stamp certificates are being validated.
 * Fixes in OS X and Windows building procedures.
 * Application cannot be exited while download in progress.
 * Application can be run without storing database on file system.
 * Message list shows whether attachments have been downloaded.
 * Message processing state can be set. It is displayed in message list.
 * Application downloads, verifies and uses a CRL.
 * Fixed come Czech translations.
 * Automatic check for new application version.
 * Added status information.
 * Application remembers the last viewed message.
 * Additional bug fixes.

0.1.0 / 2014-10-15
 * Initial testing release.
